com.pixelmed.display

## Class SafeFileChooser.SafeFileChooserThread

- java.lang.Object
- - com.pixelmed.display.SafeFileChooser.SafeFileChooserThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  SafeFileChooser

    public static class SafeFileChooser.SafeFileChooserThread
    extends java.lang.Object
    implements java.lang.Runnable

### Constructor Summary

Constructors
Constructor and Description
`SafeFileChooser.SafeFileChooserThread()`
`SafeFileChooser.SafeFileChooserThread(int fileSelectionMode)`
`SafeFileChooser.SafeFileChooserThread(int fileSelectionMode, java.lang.String initialDirectoryPath)`
`SafeFileChooser.SafeFileChooserThread(int fileSelectionMode, java.lang.String initialDirectoryPath, java.lang.String dialogTitle)`
`SafeFileChooser.SafeFileChooserThread(java.lang.String initialDirectoryPath)`
`SafeFileChooser.SafeFileChooserThread(java.lang.String initialDirectoryPath, java.lang.String dialogTitle)`

### Method Summary

Methods
`java.lang.String` `getCurrentDirectoryPath()`
`java.lang.String` `getSelectedFileName()`
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SafeFileChooser.SafeFileChooserThread

    public SafeFileChooser.SafeFileChooserThread()

#### SafeFileChooser.SafeFileChooserThread

    public SafeFileChooser.SafeFileChooserThread(int fileSelectionMode)

#### SafeFileChooser.SafeFileChooserThread

    public SafeFileChooser.SafeFileChooserThread(java.lang.String initialDirectoryPath)

#### SafeFileChooser.SafeFileChooserThread

    public SafeFileChooser.SafeFileChooserThread(int fileSelectionMode,
                                         java.lang.String initialDirectoryPath)

#### SafeFileChooser.SafeFileChooserThread

    public SafeFileChooser.SafeFileChooserThread(java.lang.String initialDirectoryPath,
                                         java.lang.String dialogTitle)

#### SafeFileChooser.SafeFileChooserThread

    public SafeFileChooser.SafeFileChooserThread(int fileSelectionMode,
                                         java.lang.String initialDirectoryPath,
                                         java.lang.String dialogTitle)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`

#### getSelectedFileName

    public java.lang.String getSelectedFileName()

#### getCurrentDirectoryPath

    public java.lang.String getCurrentDirectoryPath()